org.apache.storm.generated

## Class DRPCExecutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.storm.thrift.TException
      - - org.apache.storm.generated.DRPCExecutionException

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<DRPCExecutionException>, org.apache.storm.thrift.TBase<DRPCExecutionException,DRPCExecutionException._Fields>, org.apache.storm.thrift.TSerializable
  Direct Known Subclasses:
    WrappedDRPCExecutionException

      @Generated(value="Autogenerated by Thrift Compiler (0.13.0)")
      public class DRPCExecutionException
      extends org.apache.storm.thrift.TException
      implements org.apache.storm.thrift.TBase<DRPCExecutionException,DRPCExecutionException._Fields>, Serializable, Cloneable, Comparable<DRPCExecutionException>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DRPCExecutionException._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<DRPCExecutionException._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DRPCExecutionException()`
    `DRPCExecutionException(DRPCExecutionException other)` Performs a deep copy on other.
    `DRPCExecutionException(String msg)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(DRPCExecutionException other)`
    `DRPCExecutionException` | `deepCopy()`
    `boolean` | `equals(DRPCExecutionException that)`
    `boolean` | `equals(Object that)`
    `DRPCExecutionException._Fields` | `fieldForId(int fieldId)`
    `String` | `get_msg()`
    `DRPCExceptionType` | `get_type()`
    `Object` | `getFieldValue(DRPCExecutionException._Fields field)`
    `int` | `hashCode()`
    `boolean` | `is_set_msg()` Returns true if field msg is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_type()` Returns true if field type is set (has been assigned a value) and false otherwise
    `boolean` | `isSet(DRPCExecutionException._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.storm.thrift.protocol.TProtocol iprot)`
    `void` | `set_msg_isSet(boolean value)`
    `void` | `set_msg(String msg)`
    `void` | `set_type_isSet(boolean value)`
    `void` | `set_type(DRPCExceptionType type)`
    `void` | `setFieldValue(DRPCExecutionException._Fields field, Object value)`
    `String` | `toString()`
    `void` | `unset_msg()`
    `void` | `unset_type()`
    `void` | `validate()`
    `void` | `write(org.apache.storm.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<DRPCExecutionException._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### DRPCExecutionException

          public DRPCExecutionException()

    - #### DRPCExecutionException

          public DRPCExecutionException(String msg)

    - #### DRPCExecutionException

          public DRPCExecutionException(DRPCExecutionException other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public DRPCExecutionException deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<DRPCExecutionException,DRPCExecutionException._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<DRPCExecutionException,DRPCExecutionException._Fields>`

    - #### get_msg

          public String get_msg()

    - #### set_msg

          public void set_msg(String msg)

    - #### unset_msg

          public void unset_msg()

    - #### is_set_msg

          public boolean is_set_msg()

      Returns true if field msg is set (has been assigned a value) and false otherwise

    - #### set_msg_isSet

          public void set_msg_isSet(boolean value)

    - #### get_type

          public DRPCExceptionType get_type()

      See Also:
        `DRPCExceptionType`

    - #### set_type

          public void set_type(DRPCExceptionType type)

      See Also:
        `DRPCExceptionType`

    - #### unset_type

          public void unset_type()

    - #### is_set_type

          public boolean is_set_type()

      Returns true if field type is set (has been assigned a value) and false otherwise

    - #### set_type_isSet

          public void set_type_isSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(DRPCExecutionException._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<DRPCExecutionException,DRPCExecutionException._Fields>`

    - #### getFieldValue

          public Object getFieldValue(DRPCExecutionException._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<DRPCExecutionException,DRPCExecutionException._Fields>`

    - #### isSet

          public boolean isSet(DRPCExecutionException._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<DRPCExecutionException,DRPCExecutionException._Fields>`

    - #### equals

          public boolean equals(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals(DRPCExecutionException that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo(DRPCExecutionException other)

      Specified by:
        `compareTo` in interface `Comparable<DRPCExecutionException>`

    - #### fieldForId

          public DRPCExecutionException._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<DRPCExecutionException,DRPCExecutionException._Fields>`

    - #### read

          public void read(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Throwable`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.